com.thinkaurelius.titan.core

## Interface TitanProperty

- All Superinterfaces:
    com.tinkerpop.blueprints.Element, Idfiable, Removable, TitanElement, TitanRelation
  All Known Implementing Classes:
    AbstractProperty, CacheProperty, StandardProperty

      public interface TitanProperty
      extends TitanRelation

  TitanProperty is a `TitanRelation` connecting a vertex to a value. TitanProperty extends `TitanRelation`, with methods for retrieving the property's value and key.
  Author:
    Matthias Bröcheler (me@matthiasb.com);
  See Also:
    `TitanRelation`, `PropertyKey`

- - ### Property Summary

    - ### Properties inherited from interface com.thinkaurelius.titan.core.TitanRelation

      `isProperty`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyKey` | `getPropertyKey()` Returns the property key of this property
    `<O> O` | `getValue()` Returns the value of this property (possibly cast to the expected type).
    `TitanVertex` | `getVertex()` Returns the vertex on which this property is incident.

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanRelation

      `getDirection, getProperty, getType, isEdge, isIncidentOn, isLoop, isProperty, setProperty`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getId, getLongId, getProperty, getProperty, hasId, isLoaded, isNew, isRemoved, remove, removeProperty, removeProperty, setProperty, setProperty`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getPropertyKeys`

- - ### Method Detail

    - #### getPropertyKey

          PropertyKey getPropertyKey()

      Returns the property key of this property
      Returns:
        property key of this property
      See Also:
        `PropertyKey`

    - #### getVertex

          TitanVertex getVertex()

      Returns the vertex on which this property is incident.
      Returns:
        The vertex of this property.

    - #### getValue

          <O> O getValue()

      Returns the value of this property (possibly cast to the expected type).
      Returns:
        value of this property
      Throws:
        `ClassCastException` - if the value cannot be cast to the expected type

Copyright © 2012–2014. All rights reserved.